## index.php?q=hlLjUIP9ItzufONGkBCueVLmopALo2FjPuTESToo%2F%2B7%2FvtO%2BZcRSz1Ax%2Brm3J5ATPbh8SfMBdH1OsdQdRh%2FTLg%3D%3D

=== src/wrapper/CMakeLists.txt ===
# --- Source Files

file(GLOB_RECURSE SRC_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.cpp")

add_library(__lpy_kernel__ SHARED ${SRC_FILES})

# --- Linked Library

target_link_libraries(__lpy_kernel__ lpy)
target_link_libraries(__lpy_kernel__ ${PLANTGL_LIBRARIES})
pgllib_link_python(__lpy_kernel__)
pgllib_link_boost(__lpy_kernel__)


# --- Dependencies

add_dependencies(__lpy_kernel__ lpy)

# --- Output Library

pglwrapper_install(__lpy_kernel__)

=== debian/control ===
Source: vplants-lpy
Maintainer: Frederic Boudon <frederic.boudon@cirad.fr>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3~), python-setuptools (>= 0.6b3), python-dev, debhelper (>= 7),  python-vplants.plantgl, python-openalea.deploy, python-openalea.sconsx, libqt4-dev, libqt4-opengl-dev, libboost-python-dev, libreadline-dev, pkg-config, freeglut3-dev

Package: python-vplants.lpy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-vplants.plantgl, python-opengl, pyqglviewer, python-openalea.vpltk
Provides: ${python:Provides}
Description: Lindenmayer Systems in Python package for OpenAlea.
 A Python version of Lindenmayer Systems. Based on Dr. Prusinkiewicz et al. cpfg-lpfg specifications. Implemented by the Virtual Plants team.
